CREATE TABLE fai_deep_link_tools_b (
    DEEP_LINK_TOOL_ID        NUMBER(18, 0) ,
    TOOL_CODE                VARCHAR2(800)     NOT NULL,
    TOOL_ID                  NUMBER(18, 0)     NOT NULL,
    DEEP_LINK_ID             NUMBER(18, 0)     NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    DEEP_LINK_TOOL_ID        NUMBER(18, 0) ,
    TOOL_CODE                VARCHAR2(800)     NOT NULL,
    TOOL_ID                  NUMBER(18, 0)     NOT NULL,
    DEEP_LINK_ID             NUMBER(18, 0)     NOT NULL,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CONSTRAINT pk_fai_deep_link_tools_b PRIMARY KEY (DEEP_LINK_TOOL_ID, DEEP_LINK_TOOL_ID)
);
